/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleOferta;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class DetalleOfertaFacade extends AbstractFacade<DetalleOferta> implements DetalleOfertaFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public DetalleOfertaFacade() {
        super(DetalleOferta.class);
    }

    @Override
    public List<DetalleOferta> BusquedaPorOferta(String ofertaCodigo) {
        Query q = em.createNamedQuery("DetalleOferta.findByOfertaCodigo");
        q.setParameter("ofertaCodigo", ofertaCodigo);
        return q.getResultList();
    }


}
